Bug 1224817 - [abrt] xfdashboard: _g_log_abort(): xfdashboard killed by SIGTRAP
Summary: [abrt] xfdashboard: _g_log_abort(): xfdashboard killed by SIGTRAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfdashboard
Version: 22
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d051b33dff2a0602b911a73ee9d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-25 22:52 UTC by deadrat
Modified: 2016-01-11 11:25 UTC (History)
2 users (show)

Fixed In Version: xfdashboard-0.5.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-11 11:25:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (116.38 KB, text/plain)
2015-05-25 22:52 UTC, deadrat
no flags Details
File: cgroup (177 bytes, text/plain)
2015-05-25 22:52 UTC, deadrat
no flags Details
File: core_backtrace (44.69 KB, text/plain)
2015-05-25 22:52 UTC, deadrat
no flags Details
File: dso_list (10.38 KB, text/plain)
2015-05-25 22:52 UTC, deadrat
no flags Details
File: environ (1.47 KB, text/plain)
2015-05-25 22:52 UTC, deadrat
no flags Details
File: limits (1.29 KB, text/plain)
2015-05-25 22:52 UTC, deadrat
no flags Details
File: maps (36.87 KB, text/plain)
2015-05-25 22:52 UTC, deadrat
no flags Details
File: mountinfo (3.05 KB, text/plain)
2015-05-25 22:52 UTC, deadrat
no flags Details
File: namespaces (85 bytes, text/plain)
2015-05-25 22:52 UTC, deadrat
no flags Details
File: open_fds (8.05 KB, text/plain)
2015-05-25 22:52 UTC, deadrat
no flags Details
File: proc_pid_status (821 bytes, text/plain)
2015-05-25 22:52 UTC, deadrat
no flags Details
File: var_log_messages (614 bytes, text/plain)
2015-05-25 22:52 UTC, deadrat
no flags Details

Description deadrat 2015-05-25 22:52:22 UTC
Description of problem:
I just tried to use it. it crashed. 

Version-Release number of selected component:
xfdashboard-0.4.0-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/xfdashboard
crash_function: _g_log_abort
executable:     /usr/bin/xfdashboard
global_pid:     2527
kernel:         4.0.4-301.fc22.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:315
 #3 _xfdashboard_image_content_load_from_file at image-content.c:378
 #4 g_cclosure_marshal_VOID__OBJECT at gmarshal.c:2062
 #9 _clutter_content_attached at clutter-content.c:225
 #10 clutter_actor_set_content at clutter-actor.c:19667
 #11 xfdashboard_button_set_icon_size at button.c:1714
 #12 object_set_property at gobject.c:1415
 #13 g_object_set_property at gobject.c:2362
 #14 _xfdashboard_actor_stylable_invalidate at actor.c:551
 #15 g_cclosure_marshal_VOID__PARAM at gmarshal.c:1832

Comment 1 deadrat 2015-05-25 22:52:27 UTC
Created attachment 1029655 [details]
File: backtrace

Comment 2 deadrat 2015-05-25 22:52:28 UTC
Created attachment 1029656 [details]
File: cgroup

Comment 3 deadrat 2015-05-25 22:52:30 UTC
Created attachment 1029657 [details]
File: core_backtrace

Comment 4 deadrat 2015-05-25 22:52:32 UTC
Created attachment 1029658 [details]
File: dso_list

Comment 5 deadrat 2015-05-25 22:52:34 UTC
Created attachment 1029659 [details]
File: environ

Comment 6 deadrat 2015-05-25 22:52:35 UTC
Created attachment 1029660 [details]
File: limits

Comment 7 deadrat 2015-05-25 22:52:38 UTC
Created attachment 1029661 [details]
File: maps

Comment 8 deadrat 2015-05-25 22:52:39 UTC
Created attachment 1029662 [details]
File: mountinfo

Comment 9 deadrat 2015-05-25 22:52:41 UTC
Created attachment 1029663 [details]
File: namespaces

Comment 10 deadrat 2015-05-25 22:52:42 UTC
Created attachment 1029664 [details]
File: open_fds

Comment 11 deadrat 2015-05-25 22:52:44 UTC
Created attachment 1029665 [details]
File: proc_pid_status

Comment 12 deadrat 2015-05-25 22:52:45 UTC
Created attachment 1029666 [details]
File: var_log_messages

Comment 13 Mukundan Ragavan 2015-05-26 00:30:41 UTC
(In reply to rat from comment #0)
> Description of problem:
> I just tried to use it. it crashed. 
> 


Could you more specific? Was xfdashboard launched from the menu/terminal/keyboard shorcut (like me)?

Thanks for the report.

Comment 14 deadrat 2015-05-26 02:11:47 UTC
Hi, 


I added a launcher to the top panel and made the launcher to open the xfdashboard. It opened once, but the next time, it crashed. After that it never opened till restart. Sorry, I couldn't be more helpful. I am not that knowledgable and techie.

Comment 15 Mukundan Ragavan 2015-05-27 01:01:08 UTC
Thanks. Let me try to cause this crash and post if I need some additional information.

Comment 16 Fedora Update System 2016-01-02 23:49:08 UTC
xfdashboard-0.5.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-90d6df3f11

Comment 17 Fedora Update System 2016-01-04 00:27:08 UTC
xfdashboard-0.5.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-90d6df3f11

Comment 18 Fedora Update System 2016-01-11 11:25:54 UTC
xfdashboard-0.5.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.